﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls;
using Telerik.WinControls.UI;

namespace TestDemoApp
{
    public partial class MainForm : RadForm
    {
        public MainForm()
        {
            InitializeComponent();

            ThemeResolutionService.ApplicationThemeName = "TelerikMetroBlue";
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            ChartViewDrillDownForm form = new ChartViewDrillDownForm();
            form.Show();
        }

        private void radButton2_Click(object sender, EventArgs e)
        {
            ChartViewMultiAxesForm form = new ChartViewMultiAxesForm();
            form.Show();
        }

        private void radButton3_Click(object sender, EventArgs e)
        {
            ChartViewSmartLabelsForm form = new ChartViewSmartLabelsForm();
            form.Show();
        }

        private void radButton4_Click(object sender, EventArgs e)
        {
            PivotGridKPIForm form = new PivotGridKPIForm();
            form.Show();
        }

        private void radButton5_Click(object sender, EventArgs e)
        {
            PivotGridOlapForm form = new PivotGridOlapForm();
            form.Show();
        }

        private void radButton6_Click(object sender, EventArgs e)
        {
            PDFViewerForm form = new PDFViewerForm();
            form.Show();
        }
    }
}
