﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Telerik.Pivot.Core;
using Telerik.Pivot.Adomd;
using Telerik.WinControls.UI;

namespace TestDemoApp.PivotGridKPI
{
    public partial class PivotGridKPIOnTheFly : RadForm
    {
        public PivotGridKPIOnTheFly()
        {
            InitializeComponent();
        }

        private void radButton1_Click(object sender, EventArgs e)
        {
            AdomdDataProvider provider = new AdomdDataProvider();
            AdomdConnectionSettings settings = new AdomdConnectionSettings();

            settings.Cube = "Adventure Works";
            settings.Database = "Adventure Works DW 2008R2";
            settings.ConnectionString = "Data Source=http://demos.telerik.com/olap/msmdpump.dll;Catalog=Adventure Works DW 2008R2";

            provider.ConnectionSettings = settings;
            provider.AggregatesPosition = PivotAxis.Rows;
          
            this.radPivotGrid1.PivotGridElement.DataProvider = provider;

            this.radPivotGrid1.ShowFilterArea = true;
        }
    }
}
